[MTP] Failed 10.6 upgrade breaks connectivity in Application Delivery Analysis

Document ID : KB000005115
Last Modified Date : 14/02/2018
Show Technical Document Details
Issue:

The 10.6 Multi-Port Monitor upgrade failed after attempting to download dependencies via a yum update. The yum update was unable to connect to the remote CentOS repositories and thus, the MTP upgrade failed.

The 'Last Monitored' time is no longer updating on the ADA Master Console for the particular Multi-Port Monitor that the upgrade was initiated on. Data files are no longer transferring from the MTP to the ADA console.

Environment:
CentOS
Cause:

From the Installation Guide for Multi-Port 10.6:

The following OS packages are required to be installed before installing CA Virtual Multi-Port Monitor. You can manually install these on your system, you can set up your own local yum repository with these packages, or you can rely on the normal yumconfiguration (which goes out to mirror sites).

If these are not already installed on your system, the installation process will offer to run yum to install these (using either your local repository or the normal yum configuration).

CentOS Packages

  • boost
  • dmidecode
  • ed
  • gdb
  • gettext
  • ImageMagick
  • libaio
  • libpcap
  • lsof
  • lynx
  • mod_ssl
  • mod_wsgi
  • net-snmp
  • net-snmp-utils
  • pciutils
  • php
  • php-gd
  • php-mysql
  • php-odbc
  • php-soap
  • php-xml
  • setserial
  • sysstat
  • system-config-network-tui
  • unixODBC
  • unzip
  • xerces-c
  • xorg-x11-fonts-Type1
  • zip

EPEL (Extra Packages for Enterprise Linux) Packages

  • jemalloc
  • mod_python
  • mod_xsendfile
  • mysql++
  • php-mcrypt
  • php-pecl-redis

If the system does not have access to the 'remote mirrors' or if the packages are not installed before initiating the vMTP 10.6 upgrade, the upgrade will fail and break connectivity to ADA.

Resolution:

You currently have 2 options to remedy this situation:

1) Enable access to the remote repositories and rerun the 10.6 installer for vMTP

2) If remote access to the repositories cannot be enabled due to security reasons, then you will need to roll back to MTP 10.3 using this technical document (https://www.ca.com/us/services-support/ca-support/ca-support-online/knowledge-base-articles.TEC1850696.html). Following the roll back, upgrade the MTP to 10.5 and it will continue to work with ADA 10.5+. We recommend, at that point, trying to enable access to the remote repositories so that you can easily upgrade to 10.6+ vMTP.